Index: NEMO/branches/2019/branch_ticket2259/cfgs/AGRIF_DEMO/EXPREF/1_namelist_cfg
===================================================================
--- NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/1_namelist_cfg	(revision 10742)
+++ NEMO/branches/2019/branch_ticket2259/cfgs/AGRIF_DEMO/EXPREF/1_namelist_cfg	(revision 10751)
@@ -22,5 +22,5 @@
    cn_exp      = "Pacific" !  experience name
    nn_it000    =       1   !  first time step
-   nn_itend    =      75   !  last  time step (std 5475)
+   nn_itend    =      80   !  last  time step (std 5475)
    nn_istate   =       0   !  output the initial state (1) or not (0)
 /
@@ -30,5 +30,5 @@
    ln_linssh   = .false.   !  =T  linear free surface  ==>>  model level are fixed in time
    !
-   rn_rdt      = 5760.     !  time step for the dynamics and tracer
+   rn_rdt      = 5400.     !  time step for the dynamics and tracer
 /
 !-----------------------------------------------------------------------
Index: NEMO/branches/2019/branch_ticket2259/cfgs/AGRIF_DEMO/EXPREF/2_namelist_cfg
===================================================================
--- NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/2_namelist_cfg	(revision 10742)
+++ NEMO/branches/2019/branch_ticket2259/cfgs/AGRIF_DEMO/EXPREF/2_namelist_cfg	(revision 10751)
@@ -22,5 +22,5 @@
    cn_exp      = "Nordic"  !  experience name 
    nn_it000    =    1      !  first time step
-   nn_itend    =  300      !  last  time step
+   nn_itend    =  320      !  last  time step
    nn_istate   =      0    !  output the initial state (1) or not (0)
    ln_clobber  = .true.    !  clobber (overwrite) an existing file
@@ -31,5 +31,5 @@
    ln_linssh   = .false.   !  =T  linear free surface  ==>>  model level are fixed in time
    !
-   rn_rdt      = 1440.     !  time step for the dynamics (and tracer if nn_acc=0)
+   rn_rdt      = 1350.     !  time step for the dynamics (and tracer if nn_acc=0)
 /
 !-----------------------------------------------------------------------
Index: NEMO/branches/2019/branch_ticket2259/cfgs/AGRIF_DEMO/EXPREF/3_namelist_cfg
===================================================================
--- NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/3_namelist_cfg	(revision 10742)
+++ NEMO/branches/2019/branch_ticket2259/cfgs/AGRIF_DEMO/EXPREF/3_namelist_cfg	(revision 10751)
@@ -22,5 +22,5 @@
    cn_exp      = "Nordic"  !  experience name 
    nn_it000    =    1      !  first time step
-   nn_itend    =  900      !  last  time step
+   nn_itend    =  960      !  last  time step
    nn_istate   =      0    !  output the initial state (1) or not (0)
    ln_clobber  = .true.    !  clobber (overwrite) an existing file
@@ -31,5 +31,5 @@
    ln_linssh   = .false.   !  =T  linear free surface  ==>>  model level are fixed in time
    !
-   rn_rdt      = 480.     !  time step for the dynamics (and tracer if nn_acc=0)
+   rn_rdt      = 450.     !  time step for the dynamics (and tracer if nn_acc=0)
 /
 !-----------------------------------------------------------------------
Index: NEMO/branches/2019/branch_ticket2259/cfgs/AGRIF_DEMO/EXPREF/namelist_cfg
===================================================================
--- NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/namelist_cfg	(revision 10742)
+++ NEMO/branches/2019/branch_ticket2259/cfgs/AGRIF_DEMO/EXPREF/namelist_cfg	(revision 10751)
@@ -22,5 +22,5 @@
    cn_exp      =  "ORCA2"  !  experience name
    nn_it000    =       1   !  first time step
-   nn_itend    =      75   !  last  time step (std 5475)
+   nn_itend    =      80   !  last  time step (std 5475)
    nn_istate   =       0   !  output the initial state (1) or not (0)
 /
@@ -30,5 +30,5 @@
    ln_linssh   = .false.   !  =T  linear free surface  ==>>  model level are fixed in time
    !
-   rn_rdt      = 5760.     !  time step for the dynamics and tracer
+   rn_rdt      = 5400.     !  time step for the dynamics and tracer
 /
 !-----------------------------------------------------------------------
Index: NEMO/branches/2019/branch_ticket2259/cfgs/ORCA2_ICE_PISCES/EXPREF/namelist_cfg
===================================================================
--- NEMO/trunk/cfgs/ORCA2_ICE_PISCES/EXPREF/namelist_cfg	(revision 10742)
+++ NEMO/branches/2019/branch_ticket2259/cfgs/ORCA2_ICE_PISCES/EXPREF/namelist_cfg	(revision 10751)
@@ -22,5 +22,5 @@
    cn_exp      =  "ORCA2"  !  experience name
    nn_it000    =       1   !  first time step
-   nn_itend    =    5475   !  last  time step (std 5475)
+   nn_itend    =    5840   !  last  time step (std 5475)
    nn_istate   =       0   !  output the initial state (1) or not (0)
 /
@@ -28,5 +28,5 @@
 &namdom        !   time and space domain
 !-----------------------------------------------------------------------
-   rn_rdt      = 5760.     !  time step for the dynamics and tracer
+   rn_rdt      = 5400.     !  time step for the dynamics and tracer
 /
 !-----------------------------------------------------------------------
@@ -75,5 +75,5 @@
 &namsbc        !   Surface Boundary Condition manager                   (default: NO selection)
 !-----------------------------------------------------------------------
-   nn_fsbc     = 3         !  frequency of SBC module call
+   nn_fsbc     = 4         !  frequency of SBC module call
                            !     (also = the frequency of sea-ice & iceberg model call)
                      ! Type of air-sea fluxes 
Index: NEMO/branches/2019/branch_ticket2259/cfgs/SHARED/namelist_ref
===================================================================
--- NEMO/trunk/cfgs/SHARED/namelist_ref	(revision 10742)
+++ NEMO/branches/2019/branch_ticket2259/cfgs/SHARED/namelist_ref	(revision 10751)
@@ -37,5 +37,5 @@
    cn_exp      =  "ORCA2"  !  experience name
    nn_it000    =       1   !  first time step
-   nn_itend    =    5475   !  last  time step (std 5475)
+   nn_itend    =    5840   !  last  time step (std 5840)
    nn_date0    =  010101   !  date at nit_0000 (format yyyymmdd) used if ln_rstart=F or (ln_rstart=T and nn_rstctl=0 or 1)
    nn_time0    =       0   !  initial time of day in hhmm
@@ -54,5 +54,5 @@
    nn_istate   =       0   !  output the initial state (1) or not (0)
    ln_rst_list = .false.   !  output restarts at list of times using nn_stocklist (T) or at set frequency with nn_stock (F)
-   nn_stock    =    5475   !  frequency of creation of a restart file (modulo referenced to 1)
+   nn_stock    =    5840   !  frequency of creation of a restart file (modulo referenced to 1)
    nn_stocklist = 0,0,0,0,0,0,0,0,0,0 ! List of timesteps when a restart file is to be written
    nn_write    =    5475   !  frequency of write in the output file   (modulo referenced to nn_it000)
@@ -70,5 +70,5 @@
    rn_isfhmin  =    1.00   !  treshold [m] to discriminate grounding ice from floating ice
    !
-   rn_rdt      = 5760.     !  time step for the dynamics and tracer
+   rn_rdt      = 5400.     !  time step for the dynamics and tracer
    rn_atfp     =    0.1    !  asselin time filter parameter
    !
@@ -189,5 +189,5 @@
 &namsbc        !   Surface Boundary Condition manager                   (default: NO selection)
 !-----------------------------------------------------------------------
-   nn_fsbc     = 5         !  frequency of SBC module call
+   nn_fsbc     = 4         !  frequency of SBC module call
       !                    !  (control sea-ice & iceberg model call)
                      ! Type of air-sea fluxes 