Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/domhgr.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/domhgr.F90	(revision 10739)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/domhgr.F90	(revision 10754)
@@ -421,5 +421,5 @@
          gphi0 = zphi1 + zsin_alpha * ze1deg * FLOAT( jpjglo-2 )
 
-         IF( nprint==1 .AND. lwp )   THEN
+         IF( nprint > 3 .AND. lwp )   THEN
             WRITE(numout,*) '          ze1', ze1, 'cosalpha', zcos_alpha, 'sinalpha', zsin_alpha
             WRITE(numout,*) '          ze1deg', ze1deg, 'glam0', glam0, 'gphi0', gphi0
@@ -507,5 +507,5 @@
 
       
-      IF( nprint == 1 .AND. lwp ) THEN
+      IF( nprint > 3 .AND. lwp ) THEN
          WRITE(numout,*) '          e1u e2u '
          CALL prihre( e1u,jpi,jpj,jpi-5,jpi,1,jpj-5,jpj,1,0.,numout )
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/dommsk.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/dommsk.F90	(revision 10739)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/dommsk.F90	(revision 10754)
@@ -514,5 +514,5 @@
       ! CAUTION : The fmask may be further modified in dyn_vor_init ( dynvor.F90 )
             
-      IF( nprint == 1 .AND. lwp ) THEN      ! Control print
+      IF( nprint > 3 .AND. lwp ) THEN      ! Control print
          imsk(:,:) = INT( tmask_i(:,:) )
          WRITE(numout,*) ' tmask_i : '
@@ -640,5 +640,5 @@
                   nicoa(inw,1,jk) = ji
                   njcoa(inw,1,jk) = jj
-                  IF( nprint == 1 ) WRITE(numout,*) ' west  : ', jk, inw, ji, jj
+                  IF( nprint > 3 ) WRITE(numout,*) ' west  : ', jk, inw, ji, jj
                ENDIF
                zaa = tmask(ji,jj,jk) + tmask(ji,jj+1,jk)
@@ -647,5 +647,5 @@
                   nicoa(ine,2,jk) = ji
                   njcoa(ine,2,jk) = jj
-                  IF( nprint == 1 ) WRITE(numout,*) ' east  : ', jk, ine, ji, jj
+                  IF( nprint > 3 ) WRITE(numout,*) ' east  : ', jk, ine, ji, jj
                ENDIF
             END DO
@@ -667,5 +667,5 @@
                   nicoa(ins,3,jk) = ji
                   njcoa(ins,3,jk) = jj
-                  IF( nprint == 1 ) WRITE(numout,*) ' south : ', jk, ins, ji, jj
+                  IF( nprint > 3 ) WRITE(numout,*) ' south : ', jk, ins, ji, jj
                ENDIF
                zaa = tmask(ji+1,jj,jk) + tmask(ji,jj,jk)
@@ -674,5 +674,5 @@
                   nicoa(inn,4,jk) = ji
                   njcoa(inn,4,jk) = jj
-                  IF( nprint == 1 ) WRITE(numout,*) ' north : ', jk, inn, ji, jj
+                  IF( nprint > 3 ) WRITE(numout,*) ' north : ', jk, inn, ji, jj
                ENDIF
             END DO
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr.F90	(revision 10739)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr.F90	(revision 10754)
@@ -154,5 +154,5 @@
       END IF
       !
-      IF( nprint == 1 .AND. lwp )   THEN
+      IF( nprint > 3 .AND. lwp )   THEN
          WRITE(numout,*) ' MIN val mbathy ', MINVAL( mbathy(:,:) ), ' MAX ', MAXVAL( mbathy(:,:) )
          WRITE(numout,*) ' MIN val depth t ', MINVAL( gdept_0(:,:,:) ),   &
@@ -779,5 +779,5 @@
       ENDIF
 
-      IF( lwp .AND. nprint == 1 ) THEN      ! control print
+      IF( lwp .AND. nprint > 3 ) THEN      ! control print
          WRITE(numout,*)
          WRITE(numout,*) ' bathymetric field :   number of non-zero T-levels '
@@ -1984,5 +1984,5 @@
          WRITE(numout,*)
          CALL prihre( hbatt(1,1), jpi, jpj, 1, jpi, 1, 1, jpj, 1, 0._wp, numout )
-         IF( nprint == 1 )   THEN        
+         IF( nprint > 3 )   THEN        
             WRITE(numout,*) ' bathy  MAX ', MAXVAL( bathy(:,:) ), ' MIN ', MINVAL( bathy(:,:) )
             WRITE(numout,*) ' hbatt  MAX ', MAXVAL( hbatt(:,:) ), ' MIN ', MINVAL( hbatt(:,:) )
@@ -2045,5 +2045,5 @@
       hiff(:,:) = MIN( hiff(:,:), hbatf(:,:) )
 
-      IF( nprint == 1 .AND. lwp )   THEN
+      IF( nprint > 3 .AND. lwp )   THEN
          WRITE(numout,*) ' MAX val hif   t ', MAXVAL( hift (:,:) ), ' f ', MAXVAL( hiff (:,:) ),  &
             &                        ' u ',   MAXVAL( hifu (:,:) ), ' v ', MAXVAL( hifv (:,:) )
@@ -2139,8 +2139,8 @@
          END DO
       END DO
-      IF( nprint == 1 .AND. lwp ) WRITE(numout,*) ' MIN val mbathy h90 ', MINVAL( mbathy(:,:) ),   &
+      IF( nprint > 3 .AND. lwp ) WRITE(numout,*) ' MIN val mbathy h90 ', MINVAL( mbathy(:,:) ),   &
          &                                                       ' MAX ', MAXVAL( mbathy(:,:) )
 
-      IF( nprint == 1  .AND. lwp )   THEN         ! min max values over the local domain
+      IF( nprint > 3  .AND. lwp )   THEN         ! min max values over the local domain
          WRITE(numout,*) ' MIN val mbathy  ', MINVAL( mbathy(:,:)    ), ' MAX ', MAXVAL( mbathy(:,:) )
          WRITE(numout,*) ' MIN val depth t ', MINVAL( gdept_0(:,:,:) ),   &
@@ -2506,5 +2506,5 @@
         z_gsigt(jk) = -fssig( REAL(jk,wp)        )
       END DO
-      IF( nprint == 1 .AND. lwp )   WRITE(numout,*) 'z_gsigw 1 jpk    ', z_gsigw(1), z_gsigw(jpk)
+      IF( nprint > 3 .AND. lwp )   WRITE(numout,*) 'z_gsigw 1 jpk    ', z_gsigw(1), z_gsigw(jpk)
       !
       ! Coefficients for vertical scale factors at w-, t- levels