Index: NEMO/branches/UKMO/r8395_coupling_sequence/NEMOGCM/TOOLS/OBSTOOLS/src/in_out_manager.F90
===================================================================
--- NEMO/branches/UKMO/r8395_coupling_sequence/NEMOGCM/TOOLS/OBSTOOLS/src/in_out_manager.F90	(revision 10760)
+++ NEMO/branches/UKMO/r8395_coupling_sequence/NEMOGCM/TOOLS/OBSTOOLS/src/in_out_manager.F90	(revision 10761)
@@ -126,5 +126,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
-   !! $Id: in_out_manager.F90 2715 2011-03-30 15:58:35Z rblod $
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!=====================================================================
Index: NEMO/branches/UKMO/r8395_coupling_sequence/NEMOGCM/TOOLS/OBSTOOLS/src/obs_prof_io.F90
===================================================================
--- NEMO/branches/UKMO/r8395_coupling_sequence/NEMOGCM/TOOLS/OBSTOOLS/src/obs_prof_io.F90	(revision 10760)
+++ NEMO/branches/UKMO/r8395_coupling_sequence/NEMOGCM/TOOLS/OBSTOOLS/src/obs_prof_io.F90	(revision 10761)
@@ -22,5 +22,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
-   !! $Id: obs_prof_io.F90 2287 2010-10-18 07:53:52Z smasson $
+   !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: NEMO/branches/UKMO/r8395_coupling_sequence/NEMOGCM/TOOLS/OBSTOOLS/src/obs_seaice_io.F90
===================================================================
--- NEMO/branches/UKMO/r8395_coupling_sequence/NEMOGCM/TOOLS/OBSTOOLS/src/obs_seaice_io.F90	(revision 10760)
+++ NEMO/branches/UKMO/r8395_coupling_sequence/NEMOGCM/TOOLS/OBSTOOLS/src/obs_seaice_io.F90	(revision 10761)
@@ -20,5 +20,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
-   !! $Id: obs_seaice_io.F90 2287 2010-10-18 07:53:52Z smasson $
+   !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: NEMO/branches/UKMO/r8395_coupling_sequence/NEMOGCM/TOOLS/OBSTOOLS/src/obs_sla_io.F90
===================================================================
--- NEMO/branches/UKMO/r8395_coupling_sequence/NEMOGCM/TOOLS/OBSTOOLS/src/obs_sla_io.F90	(revision 10760)
+++ NEMO/branches/UKMO/r8395_coupling_sequence/NEMOGCM/TOOLS/OBSTOOLS/src/obs_sla_io.F90	(revision 10761)
@@ -20,5 +20,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
-   !! $Id: obs_sla_io.F90 2287 2010-10-18 07:53:52Z smasson $
+   !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: NEMO/branches/UKMO/r8395_coupling_sequence/NEMOGCM/TOOLS/OBSTOOLS/src/obs_sla_types.F90
===================================================================
--- NEMO/branches/UKMO/r8395_coupling_sequence/NEMOGCM/TOOLS/OBSTOOLS/src/obs_sla_types.F90	(revision 10760)
+++ NEMO/branches/UKMO/r8395_coupling_sequence/NEMOGCM/TOOLS/OBSTOOLS/src/obs_sla_types.F90	(revision 10761)
@@ -9,5 +9,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
-   !! $Id: obs_sla_types.F90 2287 2010-10-18 07:53:52Z smasson $
+   !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: NEMO/branches/UKMO/r8395_coupling_sequence/NEMOGCM/TOOLS/OBSTOOLS/src/obs_sst_io.F90
===================================================================
--- NEMO/branches/UKMO/r8395_coupling_sequence/NEMOGCM/TOOLS/OBSTOOLS/src/obs_sst_io.F90	(revision 10760)
+++ NEMO/branches/UKMO/r8395_coupling_sequence/NEMOGCM/TOOLS/OBSTOOLS/src/obs_sst_io.F90	(revision 10761)
@@ -20,5 +20,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
-   !! $Id: obs_sst_io.F90 2287 2010-10-18 07:53:52Z smasson $
+   !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: NEMO/branches/UKMO/r8395_coupling_sequence/NEMOGCM/TOOLS/OBSTOOLS/src/obs_vel_io.F90
===================================================================
--- NEMO/branches/UKMO/r8395_coupling_sequence/NEMOGCM/TOOLS/OBSTOOLS/src/obs_vel_io.F90	(revision 10760)
+++ NEMO/branches/UKMO/r8395_coupling_sequence/NEMOGCM/TOOLS/OBSTOOLS/src/obs_vel_io.F90	(revision 10761)
@@ -22,5 +22,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
-   !! $Id: obs_vel_io.F90 2287 2010-10-18 07:53:52Z smasson $
+   !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: NEMO/branches/UKMO/r8395_coupling_sequence/NEMOGCM/TOOLS/OBSTOOLS/src/obsprof_io.h90
===================================================================
--- NEMO/branches/UKMO/r8395_coupling_sequence/NEMOGCM/TOOLS/OBSTOOLS/src/obsprof_io.h90	(revision 10760)
+++ NEMO/branches/UKMO/r8395_coupling_sequence/NEMOGCM/TOOLS/OBSTOOLS/src/obsprof_io.h90	(revision 10761)
@@ -1,5 +1,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
-   !! $Id: obsprof_io.h90 2287 2010-10-18 07:53:52Z smasson $
+   !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: NEMO/branches/UKMO/r8395_coupling_sequence/NEMOGCM/TOOLS/OBSTOOLS/src/obsseaice_io.h90
===================================================================
--- NEMO/branches/UKMO/r8395_coupling_sequence/NEMOGCM/TOOLS/OBSTOOLS/src/obsseaice_io.h90	(revision 10760)
+++ NEMO/branches/UKMO/r8395_coupling_sequence/NEMOGCM/TOOLS/OBSTOOLS/src/obsseaice_io.h90	(revision 10761)
@@ -1,5 +1,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
-   !! $Id: obsseaice_io.h90 2287 2010-10-18 07:53:52Z smasson $
+   !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: NEMO/branches/UKMO/r8395_coupling_sequence/NEMOGCM/TOOLS/OBSTOOLS/src/obssla_io.h90
===================================================================
--- NEMO/branches/UKMO/r8395_coupling_sequence/NEMOGCM/TOOLS/OBSTOOLS/src/obssla_io.h90	(revision 10760)
+++ NEMO/branches/UKMO/r8395_coupling_sequence/NEMOGCM/TOOLS/OBSTOOLS/src/obssla_io.h90	(revision 10761)
@@ -1,5 +1,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
-   !! $Id: obssla_io.h90 2287 2010-10-18 07:53:52Z smasson $
+   !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: NEMO/branches/UKMO/r8395_coupling_sequence/NEMOGCM/TOOLS/OBSTOOLS/src/obssla_types.h90
===================================================================
--- NEMO/branches/UKMO/r8395_coupling_sequence/NEMOGCM/TOOLS/OBSTOOLS/src/obssla_types.h90	(revision 10760)
+++ NEMO/branches/UKMO/r8395_coupling_sequence/NEMOGCM/TOOLS/OBSTOOLS/src/obssla_types.h90	(revision 10761)
@@ -1,5 +1,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
-   !! $Id: obssla_types.h90 2287 2010-10-18 07:53:52Z smasson $
+   !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: NEMO/branches/UKMO/r8395_coupling_sequence/NEMOGCM/TOOLS/OBSTOOLS/src/obssst_io.h90
===================================================================
--- NEMO/branches/UKMO/r8395_coupling_sequence/NEMOGCM/TOOLS/OBSTOOLS/src/obssst_io.h90	(revision 10760)
+++ NEMO/branches/UKMO/r8395_coupling_sequence/NEMOGCM/TOOLS/OBSTOOLS/src/obssst_io.h90	(revision 10761)
@@ -1,5 +1,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
-   !! $Id: obssst_io.h90 2287 2010-10-18 07:53:52Z smasson $
+   !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: NEMO/branches/UKMO/r8395_coupling_sequence/NEMOGCM/TOOLS/OBSTOOLS/src/par_oce.F90
===================================================================
--- NEMO/branches/UKMO/r8395_coupling_sequence/NEMOGCM/TOOLS/OBSTOOLS/src/par_oce.F90	(revision 10760)
+++ NEMO/branches/UKMO/r8395_coupling_sequence/NEMOGCM/TOOLS/OBSTOOLS/src/par_oce.F90	(revision 10761)
@@ -94,5 +94,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
-   !! $Id: par_oce.F90 5974 2015-12-02 10:52:05Z timgraham $ 
+   !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!======================================================================