Index: /NEMO/branches/2019/fix_sette_ticket2239/README
===================================================================
--- /NEMO/branches/2019/fix_sette_ticket2239/README	(revision 10768)
+++ /NEMO/branches/2019/fix_sette_ticket2239/README	(revision 10769)
@@ -10,5 +10,6 @@
  * sette_reference-configuration.sh: run sette tests on the reference configurations
  * sette_test-cases.sh             : run sette tests on test cases
- * sette_rpt.sh                    : generate the sette report. See below in USER MODIFICATIONS the usage of the script
+ * sette_rpt.sh                    : generate the sette report on reproducibility, restartability and compare result with a reference (if there is one specified in param.cfg). 
+                                     See below in USER MODIFICATIONS the usage of the script
  * sette_list_avail_rev.sh         : generate a listing on all the revision available in the validation directory for each configuration.
  * sette_list_avail_cfg.sh         : generate a listing of all the available configurations.
@@ -19,5 +20,5 @@
 
 USER MODIFICATIONS
- * in sette_cfg-ref.sh and sette_test-cases.sh script :
+ * in sette_reference-configuration.sh and sette_test-cases.sh script :
                OPTIONAL ARGUMENT : compiler among those available in NEMOGCM/ARCH (if nothing will use the one specified in paramd.cfg)
 	       BATCH_COMMAND_PAR : command for job submission in batch mode parallel (MMIÂ) specified in param.cfg
@@ -53,9 +54,9 @@
 
  * in param.cfg :
-               
-               COMPILER    : compiler among those available in NEMOGCM/ARCH
+               COMPILER            : compiler among those available in NEMOGCM/ARCH
                FORCING_DIR 	   : directory in which will be found input.tar file (same name in input_CONFIG_NAME.cfg)
                INPUT_DIR   	   : directory in which store input files (tar file)
                                      reference configuration input tar file could be found here : https://zenodo.org/record/1472245
+               TEST_CONFIGS        : the list of all the configuration to test in sette.sh (without any arguments)
                TMPDIR      	   : temporary directory NEEDED ONLY FOR IBM machines (put EXP00 directory)
 	       NEMO_VALIDATION_DIR : directory in which create NEMO_VALIDATION tree, and store restart, run.stat, tracer.stat and ocean.output files in
@@ -65,6 +66,8 @@
                NEMO_VALIDATION_REF : reference directory
                NEMO_REV_REF        : reference revision
-                                   : Reference directory for result comparison will be NEMO_VALIDATION_REF/COMPILER/NEMO_REV_REF
+                                     reference directory for result comparison will be NEMO_VALIDATION_REF/COMPILER/NEMO_REV_REF
                ADD_NODIGNEDZERO    : set "yes" if you need key_nosignedzero to run nemo
+               As a lot of this settings are user dependent or computer dependant, it is possible to set by default most of these value in your .bashrc 
+               (it facilitates the installation of sette for a new branch)
 
  * in fcm_job.sh :
@@ -76,7 +79,7 @@
 
  * in sette_rpt.sh : - if no argument are given, the report will be generated on the last changed revision.
-                   - if an argument is given (revision number) the report will be generated for this revision
-                   - if 'old' is given as argument the former behavior is applied (the latest revision is check whatever the current revision
-                   - it is possible to retreive all the available revision test using sette_list_avail_rev.sh
+                     - if an argument is given (revision number) the report will be generated for this revision
+                     - if 'old' is given as argument the former behavior is applied (the latest revision is check whatever the current revision
+                     - it is possible to retreive all the available revision test using sette_list_avail_rev.sh
 
 NOTE:
Index: /NEMO/branches/2019/fix_sette_ticket2239/param.cfg
===================================================================
--- /NEMO/branches/2019/fix_sette_ticket2239/param.cfg	(revision 10768)
+++ /NEMO/branches/2019/fix_sette_ticket2239/param.cfg	(revision 10769)
@@ -2,5 +2,5 @@
 #
 # Compiler among those in NEMOGCM/ARCH
-COMPILER=XC40_METO_perso
+COMPILER=X64_ADA
 #
 # REFERENCE run.stat tracer.stat you want to compare with
Index: /NEMO/branches/2019/fix_sette_ticket2239/sette_list_avail_cfg.sh
===================================================================
--- /NEMO/branches/2019/fix_sette_ticket2239/sette_list_avail_cfg.sh	(revision 10769)
+++ /NEMO/branches/2019/fix_sette_ticket2239/sette_list_avail_cfg.sh	(revision 10769)
@@ -0,0 +1,19 @@
+#!/bin/sh
+echo ''
+echo 'Reference configurations available are named :'
+printf "%-15s \n" GYRE_PISCES
+printf "%-15s \n" ORCA2_ICE_PISCES
+printf "%-15s \n" ORCA2_OFF_PISCES
+printf "%-15s \n" AMM12
+printf "%-15s \n" SAS
+printf "%-15s \n" ORCA2_ICE_OBS
+printf "%-15s \n" AGRIF
+printf "%-15s \n" SPITZ12
+echo ''
+echo 'Test cases available are named :'
+printf "%-15s \n" OVERFLOW
+printf "%-15s \n" LOCK_EXCHANGE
+printf "%-15s \n" VORTEX
+printf "%-15s \n" ICE_AGRIF
+printf "%-15s \n" ISOMIP
+echo ''
Index: /NEMO/branches/2019/fix_sette_ticket2239/sette_list_avail_rev.sh
===================================================================
--- /NEMO/branches/2019/fix_sette_ticket2239/sette_list_avail_rev.sh	(revision 10768)
+++ /NEMO/branches/2019/fix_sette_ticket2239/sette_list_avail_rev.sh	(revision 10769)
@@ -41,4 +41,6 @@
  # start checking
  echo ""
+ echo " Compiler used is : $COMPILER"
+ echo ""
  printf " List of all avail. rev. is : "
  for dir in `echo $DIRLST`; do printf "%5s  " $dir ; done
Index: /NEMO/branches/2019/fix_sette_ticket2239/sette_rpt.sh
===================================================================
--- /NEMO/branches/2019/fix_sette_ticket2239/sette_rpt.sh	(revision 10768)
+++ /NEMO/branches/2019/fix_sette_ticket2239/sette_rpt.sh	(revision 10769)
@@ -536,5 +536,9 @@
 
 echo ""
-echo "SETTE validation report generated for : $branchname @ r$lastchange (last changed revision)"
+echo "SETTE validation report generated for : "
+echo ""
+echo "       $branchname @ r$lastchange (last changed revision)"
+echo ""
+echo "       on $COMPILER arch file"
 echo ""
 